Remove Person attributes by network ID and instance

Remove attributes from the Person associated with the network ID passed in the URL

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Details

Removes attributes passed in the request body from the Person associated with the network ID passed in the URL. This call performs the same action as disassociating an attribute (system or author) from a Person in the Care UI by hitting the “x” icon, but has the advantage of allowing multiple attributes to be split at the same time into the same new person.

📘

Note

The networkid specified in the URL defines which Person account to work with. You will specify which attributes to remove in the request body.

This example request body removes the specified Instagram author handle and the birthday system attribute.

{
  "birthday": "2018-01-01",
  "handles": {
    "instagram": [
      {
        "networkinstance": "instagram",
        "id": "789"
      }
    ]
  }
}

After a call has been made, a new Person is created in the system with the attributes defined in the request body.

In the response (in the sidebar), you'll notice two separate person entries with unique id`` and displayNumber fields. The first is the new person created from ID associated with the "mycommunity.lithium.com/ network instance passed in the request body. The second person entry is the one associated with the Facebook ID 478385502293019 defined in the URL.

Here is an example payload for POST call to /api/v2/authors/networks/facebook/ids/478385502293019/split, with the following passed in the request body:

{
  "handles": {
    "lithium": [
      {
        "networkinstance": "mycommunity.lithium.com/",
        "id": "2279"
      }
    ]
  }
}
Path Params
string
required

The type of network that manages content created by or about an author. Supported values are: "twitter", "instagram", "facebook", "googleplus", "lithium", "crm"

For a networktype of value "lithium" or "crm" you must also pass the networkinstance, because these types of networks can have multiple instances as opposed to Twitter, Facebook, or Google+ that have only a single, default network.

The Author API supports "twitter", "instagram", "facebook", "googleplus", "lithium", and "crm" only as values for networktype.

string
required

The specific, uniquely-identifiable instance of a networktype. Use this argument with a networktype of "lithium" or "crm" only because other network types such as Facebook, Twitter, Instagram, and Google+ have only a single, default instance.

If you wanted to PUT or GET author data by passing in a CRM author ID, for example, you would need to specify which CRM instance the CRM author ID is associated with.

Example: "sfdc_1"

The value to pass for networkinstance is either the instance of your Lithium community (example: https://my_community_instance.com) or the key you defined for the CRM author integration for this CRM (example: "sfdc_1").

string
required

The internal ID of the author generated by the network. For Facebook, this is the PSID. Compare this to the the externally used networkhandle. The network ID must be unique to a given networkinstance.

Responses

Language
URL
LoadingLoading…
Response
Choose an example:
application/json